%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  SscSrs
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Sample Size Calculator for Estimation of Population Mean and Proportion under SRS

License:          GPL (>= 2.0)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-stats 
Requires:         R-stats 

%description
It helps in determination of sample size for estimation of population mean
and proportion based upon the availability of prior information on
coefficient of variation (CV) of the population under Simple Random
Sampling (SRS) with or without replacement sampling design. If there is no
prior information on the population CV, then a small preliminary sample of
size is selected to estimate the population CV which is then used for
determination of final sample size. If the final sample size is more than
the preliminary sample size, then the preliminary sample is augmented by
drawing additional units from the remaining population units so that the
size of the augmented sample is equal to the final sample size. On the
other hand, if the preliminary sample size is larger than the final sample
size, then the preliminary sample is considered as the final sample.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
